Package org.jdesktop.animation.timing

## Interface TimingEventListener

    public interface TimingEventListener

This interface is implemented by any object wishing to receive events from a `TimingSource` object. The TimingEventListener would be added as a listener to the TimingSource object via the `TimingSource.addEventListener(TimingEventListener)` method.

This functionality is handled automatically inside of `Animator`. To use a non-default TimingSource object for Animator, simply call `Animator.setTimer(TimingSource)` and the appropriate listeners will be set up internally.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `timingSourceEvent​(TimingSource timingSource)` This method is called by the `TimingSource` object while the timer is running.

### Method Detail

#### timingSourceEvent

    void timingSourceEvent​(TimingSource timingSource)

This method is called by the `TimingSource` object while the timer is running.

Parameters:
  `timingSource` - the object that generates the timing events.